import unittest
from waeup.ikoba.payments.currencies import (
    get_decimal_units, ISO_4217_CURRENCIES,
    )


class CurrenciesTests(unittest.TestCase):

    def test_get_decimal_units(self):
        # we can get the number of decimals for a currency code
        assert get_decimal_units('USD') == 2

    def test_iso_currencies_no_linebreak(self):
        # sanity check: make sure we didn't compile linebreaks
        for key, value in ISO_4217_CURRENCIES.items():
            assert '\n' not in key
            assert '\n' not in value[0]
            assert '\n' not in value[1]
